import { call, all } from 'redux-saga/effects'

import { visitorSagas } from './visitor/visitor.sagas'
import { labReportSagas } from './dashboard/lab-report/lab-report.sagas'
import { dietPlanSagas } from './dashboard/diet-plan/diet-plan.sagas'

export default function* rootSaga() {
  yield all([call(visitorSagas), call(labReportSagas), call(dietPlanSagas)])
}